﻿' Exercise 21.16 Solution
' DvorakKeyboard.vb

Public Class DvorakKeyboardForm
   Private lastButton As Button ' reference to last Button pressed

   Private Sub outputTextBox_KeyUp(ByVal sender As Object, _
      ByVal e As System.Windows.Forms.KeyEventArgs) _
      Handles outputTextBox.KeyUp

      ResetColor()
   End Sub ' outputTextBox_KeyUp

   ' highlight Button passed as argument
   Private Sub ChangeColor(ByVal buttonPassed As Button)
      ResetColor()
      buttonPassed.BackColor = Color.Yellow
      lastButton = buttonPassed ' save Button to reset color later
   End Sub ' ChangeColor

   ' changes lastButton's color if it refers to a Button
   Private Sub ResetColor()
      If lastButton IsNot Nothing Then
         lastButton.BackColor = SystemColors.Control
      End If
   End Sub ' ResetColor
End Class ' DvorakKeyboardForm

' **************************************************************************
' * (C) Copyright 1992-2009 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************